/*
 *   Citybuilding Mappers - create minimaps from citybuilding game files
 *   Copyright (C) 2007, 2008  Bianca van Schaik
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#ifndef EMPERORCOLOURS_H
#define EMPERORCOLOURS_H

class EmperorColours {
	public:
		enum {
			MAP_BACKGROUND = 0,
			MAP_EMPTY1,     MAP_EMPTY2,
			MAP_FERTILE1,   MAP_FERTILE2,
			MAP_TREE1,      MAP_TREE2,
			MAP_BAMBOO1,    MAP_BAMBOO2,
			MAP_WATER1,     MAP_WATER2,
			MAP_DEEPWATER1, MAP_DEEPWATER2,
			MAP_IRRIGATION1,MAP_IRRIGATION2,
			MAP_ROCK1,      MAP_ROCK2,
			MAP_COPPER1,    MAP_COPPER2,
			MAP_IRON1,      MAP_IRON2,
			MAP_ELEVATION1, MAP_ELEVATION2,
			
			MAP_QUARRY1,    MAP_QUARRY2,
			MAP_BEACH1,     MAP_BEACH2,
			
			MAP_SAND1,      MAP_SAND2,
			MAP_SALT1,      MAP_SALT2,
			MAP_PINNACLE1,  MAP_PINNACLE2,
			MAP_ROAD1,      MAP_ROAD2,
			MAP_WALL1,      MAP_WALL2,
			MAP_GARDEN,
			
			MAP_HOUSING_COMMON,
			MAP_HOUSING_ELITE,
			MAP_AGRICULTURE,
			MAP_INDUSTRY,
			MAP_COMMERCE,
			MAP_SAFETY,
			MAP_GOVERNMENT,
			MAP_ENTERTAINMENT,
			MAP_RELIGION,
			MAP_MILITARY,
			MAP_AESTHETICS,
			MAP_MONUMENT,
			MAP_MONUMENT_FILL,
			MAP_MONUMENT_SUPPORT,
			
			MAP_SPRITES,
			MAP_SIZE // SHOULD ALWAYS BE THE LAST
		};
		
		const static int
			SIDE_MIDDLE = 0,
			SIDE_TOP = 1,
			SIDE_BOTTOMLEFT = 2,
			SIDE_BOTTOMRIGHT = 3;
		
		const static int
			SPRITE_HUMAN   = 0,
			SPRITE_HERO    = 1,
			SPRITE_ENEMY   = 2;
	private:
		int map[MAP_SIZE][8];
		
	public:
		EmperorColours();
		int colour(int type, int number);
};

#endif /* EMPERORCOLOURS_H */
