/*
 *   Citybuilding Mappers - create minimaps from citybuilding game files
 *   Copyright (C) 2007, 2008  Bianca van Schaik
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#include "helpdialog.h"

#include <QTextEdit>
#include <QPushButton>
#include <QVBoxLayout>
#include <QHBoxLayout>

HelpDialog::HelpDialog(QWidget *parent, QString appname, QString helptext,
	int dialogHeight)
	: QDialog(parent) {
	
	setWindowTitle(appname + tr(" Help"));
	
	QTextEdit *textEdit = new QTextEdit();
	textEdit->setReadOnly(true);
	textEdit->setPlainText(helptext);
	textEdit->setMinimumSize(280, dialogHeight);
	
	QPushButton *okButton = new QPushButton(tr("OK"), this);
	okButton->setDefault(true);
	connect(okButton, SIGNAL(clicked()), this, SLOT(close()));
	
	QHBoxLayout *buttonLayout = new QHBoxLayout();
	buttonLayout->addStretch();
	buttonLayout->addWidget(okButton);
	buttonLayout->addStretch();
	
	QVBoxLayout *layout = new QVBoxLayout();
	layout->addWidget(textEdit);
	layout->addLayout(buttonLayout);
	
	setLayout(layout);
	setModal(true);
	setWindowFlags(windowFlags() & ~Qt::WindowContextHelpButtonHint);
}
